---
updatedAt: 2026-09-27T12:25:14.000Z
agentTools:
  projectIndex: https://api-docs.aevo.xyz/llms.txt
---

# GET /builder/fills

Return fills attributed to the authenticated builder.

# OpenAPI definition

```json
{
  "components": {
    "parameters": {
      "CursorQueryOptional": {
        "name": "cursor",
        "in": "query",
        "description": "Opaque pagination cursor returned by the previous builder fills page.",
        "required": false,
        "schema": {
          "type": "string",
          "example": "MTcwMDAwMDAwMDAwMDAwMDAwMDoweHRyYWRlOjB4b3JkZXI"
        }
      },
      "EndTimeQueryOptional": {
        "name": "end_time",
        "in": "query",
        "description": "Entries created after (>) end time are excluded in UNIX timestamp in nanoseconds. Defaults to current time.",
        "required": false,
        "schema": {
          "type": "integer",
          "example": 1675036800000000000
        }
      },
      "InstrumentQueryOptional": {
        "name": "instrument",
        "in": "query",
        "description": "Instrument name.",
        "required": false,
        "schema": {
          "type": "string",
          "example": "ETH-PERP"
        }
      },
      "LimitQueryOptional": {
        "name": "limit",
        "in": "query",
        "description": "Limits the number of relevant entries in the response. Defaults to `10`. Maximum value is `50`",
        "required": false,
        "schema": {
          "type": "integer",
          "example": 10
        }
      },
      "StartTimeQueryOptional": {
        "name": "start_time",
        "in": "query",
        "description": "Entries created prior (<) to start time are excluded in UNIX timestamp in nanoseconds. Defaults to `0`",
        "required": false,
        "schema": {
          "type": "integer",
          "example": 1672531200000000000
        }
      }
    },
    "schemas": {
      "account_response": {
        "title": "account_response",
        "type": "string",
        "description": "Account's Ethereum address. Eg. `0xE9b3a48d15BE316A8e34FAd53fFDFDddf0C3D24b`",
        "example": "0xE9b3a48d15BE316A8e34FAd53fFDFDddf0C3D24b"
      },
      "amount_response": {
        "title": "amount_response",
        "type": "string",
        "description": "Number of contracts. In 6 decimals fixed number. Eg. `1000000`",
        "example": "1000000"
      },
      "builder_fee_rate_response": {
        "title": "builder_fee_rate_response",
        "type": "string",
        "description": "Builder fee rate as a decimal fraction. Uses 6-decimal fixed-point precision; 0.0003 is 3 bps. Eg. `0.0003`",
        "example": "0.0003"
      },
      "builder_fee_response": {
        "title": "builder_fee_response",
        "type": "string",
        "description": "Builder fee paid for the trade, denominated in USDC. Eg. `0.3`",
        "example": "0.3"
      },
      "error_400_response": {
        "title": "error_400_response",
        "type": "string",
        "description": "Error message. Eg. `ERR_MALFORMED_REQUEST`",
        "example": "ERR_MALFORMED_REQUEST"
      },
      "error_401_response": {
        "title": "error_401_response",
        "type": "string",
        "description": "Error message. Eg. `UNAUTHORIZED`",
        "example": "UNAUTHORIZED"
      },
      "error_429_response": {
        "title": "error_429_response",
        "type": "string",
        "description": "Error message. Eg. `RATE_LIMIT_EXCEEDED`",
        "example": "RATE_LIMIT_EXCEEDED"
      },
      "error_500_response": {
        "title": "error_500_response",
        "type": "string",
        "description": "Error message. Eg. `INTERNAL_ERROR`",
        "example": "INTERNAL_ERROR"
      },
      "instrument_response": {
        "title": "instrument_response",
        "type": "string",
        "description": "Instrument name. Eg. `ETH-PERP`",
        "example": "ETH-PERP"
      },
      "is_maker_response": {
        "title": "is_maker_response",
        "type": "boolean",
        "description": "Whether the fill was maker-side for this order. Eg. `true`",
        "example": true
      },
      "next_cursor_response": {
        "title": "next_cursor_response",
        "type": "string",
        "description": "Opaque pagination cursor for the next builder fills page. Eg. `MTcwMDAwMDAwMDAwMDAwMDAwMDoweHRyYWRlOjB4b3JkZXI`",
        "example": "MTcwMDAwMDAwMDAwMDAwMDAwMDoweHRyYWRlOjB4b3JkZXI"
      },
      "notional_response": {
        "title": "notional_response",
        "type": "string",
        "description": "USDC notional value. Eg. `1700`",
        "example": "1700"
      },
      "order_id_response": {
        "title": "order_id_response",
        "type": "string",
        "description": "Order ID is the hash of the order payload Eg. `0x4c43e0ab72a4edb72dfe4b129148899815d816837b9a7e22d964b884834639f8`",
        "example": "0x4c43e0ab72a4edb72dfe4b129148899815d816837b9a7e22d964b884834639f8"
      },
      "price_response": {
        "title": "price_response",
        "type": "string",
        "description": "Limit price for the order. Eg. `12.34`",
        "example": "12.34"
      },
      "side_response": {
        "title": "side_response",
        "type": "string",
        "description": "Trade side. Eg. `buy`",
        "enum": [
          "buy",
          "sell"
        ]
      },
      "timestamp_response": {
        "title": "timestamp_response",
        "type": "string",
        "description": "Timestamp in UNIX in nanoseconds. Eg. `1680249600000000000`",
        "example": "1680249600000000000"
      },
      "trade_id_response": {
        "title": "trade_id_response",
        "type": "string",
        "description": "Unique ID of the trade. Eg. `DwmDn5XnEyiqx5AB5CM4W8bgD137ASX4Lz1XWBYqvpX2`",
        "example": "DwmDn5XnEyiqx5AB5CM4W8bgD137ASX4Lz1XWBYqvpX2"
      }
    },
    "securitySchemes": {
      "api_key": {
        "in": "header",
        "name": "AEVO-KEY",
        "type": "apiKey"
      },
      "api_secret": {
        "in": "header",
        "name": "AEVO-SECRET",
        "type": "apiKey"
      }
    }
  },
  "info": {
    "contact": {
      "email": "ken@ribbon.finance",
      "name": "Ribbon Finance",
      "url": "https://ribbon.finance"
    },
    "description": "Aevo",
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "title": "Aevo REST API",
    "version": "1.0.0"
  },
  "openapi": "3.0.0",
  "paths": {
    "/builder/fills": {
      "get": {
        "summary": "GET /builder/fills",
        "tags": [
          "Private API"
        ],
        "security": [
          {
            "api_key": [],
            "api_secret": []
          }
        ],
        "operationId": "GetBuilderFills",
        "description": "Return fills attributed to the authenticated builder.",
        "responses": {
          "200": {
            "description": "Builder-attributed fills.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "GetBuilderFills200Response",
                  "type": "object",
                  "properties": {
                    "fills": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "trade_id": {
                            "$ref": "#/components/schemas/trade_id_response"
                          },
                          "order_id": {
                            "$ref": "#/components/schemas/order_id_response"
                          },
                          "account": {
                            "$ref": "#/components/schemas/account_response"
                          },
                          "instrument": {
                            "$ref": "#/components/schemas/instrument_response"
                          },
                          "side": {
                            "$ref": "#/components/schemas/side_response"
                          },
                          "price": {
                            "$ref": "#/components/schemas/price_response"
                          },
                          "amount": {
                            "$ref": "#/components/schemas/amount_response"
                          },
                          "notional": {
                            "$ref": "#/components/schemas/notional_response"
                          },
                          "builder_fee_rate": {
                            "$ref": "#/components/schemas/builder_fee_rate_response"
                          },
                          "builder_fee": {
                            "$ref": "#/components/schemas/builder_fee_response"
                          },
                          "is_maker": {
                            "$ref": "#/components/schemas/is_maker_response"
                          },
                          "timestamp": {
                            "$ref": "#/components/schemas/timestamp_response"
                          }
                        },
                        "required": [
                          "trade_id",
                          "order_id",
                          "account",
                          "instrument",
                          "side",
                          "price",
                          "amount",
                          "notional",
                          "builder_fee_rate",
                          "builder_fee",
                          "is_maker",
                          "timestamp"
                        ]
                      }
                    },
                    "next_cursor": {
                      "$ref": "#/components/schemas/next_cursor_response"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad request.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "GenericErrorResponse",
                  "type": "object",
                  "properties": {
                    "error": {
                      "$ref": "#/components/schemas/error_400_response"
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "GenericErrorResponse",
                  "type": "object",
                  "properties": {
                    "error": {
                      "$ref": "#/components/schemas/error_401_response"
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "429": {
            "description": "Rate limit exceeded.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "GenericErrorResponse",
                  "type": "object",
                  "properties": {
                    "error": {
                      "$ref": "#/components/schemas/error_429_response"
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          },
          "500": {
            "description": "Internal server error.",
            "content": {
              "application/json": {
                "schema": {
                  "title": "GenericErrorResponse",
                  "type": "object",
                  "properties": {
                    "error": {
                      "$ref": "#/components/schemas/error_500_response"
                    }
                  },
                  "required": [
                    "error"
                  ]
                }
              }
            }
          }
        },
        "parameters": [
          {
            "$ref": "#/components/parameters/StartTimeQueryOptional"
          },
          {
            "$ref": "#/components/parameters/EndTimeQueryOptional"
          },
          {
            "$ref": "#/components/parameters/InstrumentQueryOptional"
          },
          {
            "$ref": "#/components/parameters/LimitQueryOptional"
          },
          {
            "$ref": "#/components/parameters/CursorQueryOptional"
          }
        ]
      }
    }
  },
  "servers": [
    {
      "description": "Aevo REST API",
      "url": "https://api.aevo.xyz"
    }
  ],
  "tags": [
    {
      "description": "Private APIs require authentication",
      "name": "Private API"
    }
  ],
  "x-stoplight": {
    "id": "gl4g3krom0lvw"
  }
}
```